Flatpak Error?

Hey Friends,

I am getting this when I place in terminal the command “flatpak update”:

errors
(flatpak update:3691): dconf-WARNING **: 15:24:37.053: Unable to open /home/veracity/.local/share/flatpak/exports/share/dconf/profile/user: Permission denied

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.053: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

(flatpak update:3691): dconf-CRITICAL **: 15:24:37.055: unable to create directory '/run/user/1001/dconf': Permission denied.  dconf will not work properly.

I’m not sure with this means or how to troubleshoot? :confounded:

dog help GIF

Put our output in code blocking using 3 backticks like this
```
output here
```
or using this button
image
or by pressing ctrl +E
for better readability for people to help you

3 Likes

Do you need to run it as sudo? It’s been a while since I tried updating a flatpak.

yes I guess sudo will do

I have never used sudo with flatpak. If elevated privileges are needed, flatpak will prompt you for them just like yay does.

Pudge

2 Likes

it is more like the reason is that user was running some application using dconf a sroot ?

(flatpak update:3691): dconf-WARNING **: 15:24:37.053: Unable to open /home/veracity/.local/share/flatpak/exports/share/dconf/profile/user: Permission denied

the path should be owned by user.

2 Likes

I wasn’t sure. I’m not very well versed in flatpak. It was just an idea. Thanks Pudge!

1 Like

Thank you.

and you were able to solve the issue?

Yes, I need to do flatpak update using my admin account which was odd but whatever. Thanks for inquiring @joekamprad :slight_smile:

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.